Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QImageWriter.ImageWriterError

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QImageWriter.ImageWriterError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QImageWriter

    public static final class QImageWriter.ImageWriterError

extends java.lang.Enum
implements QtEnumerator

This enum describes errors that can occur when writing images with `QImageWriter`.

See Also:
  Serialized Form

Field Summary
`static QImageWriter.ImageWriterError` | `DeviceError` `QImageWriter` encountered a device error when writing the image data.
`static QImageWriter.ImageWriterError` | `UnknownError` An unknown error occurred.
`static QImageWriter.ImageWriterError` | `UnsupportedFormatError` Qt does not support the requested image format.

Method Summary
`static QImageWriter.ImageWriterError` | `resolve(int value)` Returns the QImageWriter$ImageWriterError constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QImageWriter.ImageWriterError` | `valueOf(java.lang.String name)`
`static QImageWriter.ImageWriterError[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UnknownError

    public static final QImageWriter.ImageWriterError UnknownError

  An unknown error occurred. If you get this value after calling `write()`, it is most likely caused by a bug in `QImageWriter`.

### DeviceError

    public static final QImageWriter.ImageWriterError DeviceError

  `QImageWriter` encountered a device error when writing the image data. Consult your device for more details on what went wrong.

### UnsupportedFormatError

    public static final QImageWriter.ImageWriterError UnsupportedFormatError

  Qt does not support the requested image format.

Method Detail

### values

    public static QImageWriter.ImageWriterError[] values()

### valueOf

    public static QImageWriter.ImageWriterError valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QImageWriter.ImageWriterError resolve(int value)

  Returns the QImageWriter$ImageWriterError constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD